import request from '@/utils/request'

export function getTyphoonYearList(params) { return request({ url: '/slgc/typhoon/year/list', method: 'get', params }) }
export function getTyphoonInfoList(params) { return request({ url: '/slgc/typhoon/info/list', method: 'get', params }) }
export function getTyphoonPathList(params) { return request({ url: '/slgc/typhoon/path/list', method: 'get', params }) }
export function getTyphoonEventList(params) { return request({ url: '/slgc/typhoon/event/list', method: 'get', params }) }
export function getLeastRain(params) { return request({ url: '/slgc/typhoon/least/rain', method: 'get', params }) }
export function getLeastCloud(params) { return request({ url: '/slgc/typhoon/least/cloud', method: 'get', params }) }
